The tag has no usage guidance.

learn more… | top users | synonyms

2
votes
1answer
819 views

boost_thread not found , illumina bcl2fastq 1.8.3 installation error , casava ,illumina casava also showing same error

I am trying to install illumina bcl2fastq 1.8.3, on ubuntu 14.04, cmake is 2.8.4 and boost is 1.44. Both cmake and boost are bundled with bcl2fastq only. I get the following error, can anyone please ...
1
vote
1answer
31 views

thrift-0.9.3 package C++ build issues. Which boost packages to use?

I am seeing compilation issues in thrift-0.9.3 package( I did downloaded from https://thrift.apache.org/download). Some linking errors are observed in lib/cpp/test. Can any one suggest me what version ...
1
vote
1answer
449 views

Boost install with apt-get fails

I am trying to install the boost libraries through libboost-all-dev: sudo apt-get install libboost-all-dev Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
1answer
254 views

Ubuntu Server performance boost

Is there any way to boost an Ubuntu Server's performance? I feel it a bit laggy when hosting a game server on it, unlike other servers. Do you think installing a desktop environment will decrease the ...
0
votes
1answer
819 views

How to compile imageclipper in 12.04

I've been trying to compile imageclipper unsuccessfully, I've already installed opencv and boost and build-essential (gcc version is 4.6.3). The problem comes when modifying the Makefile, I need to ...
-1
votes
1answer
305 views

How to install i386 (32bit) boost-regex library to amd64 (64bit) system, 15.04

I tried to use this command: sudo apt-get install libboost-regex1.55-dev:i386 And i have some errors: Reading package lists... Done Building dependency tree Reading state information... Done Some ...
-1
votes
1answer
438 views

fatal error: /usr/include/boost/coroutine/coroutine.hpp: No such file or directory

fatal error: /usr/include/boost/coroutine/coroutine.hpp: No such file or directory /usr/include/boost can not find coroutine, where is it ?
2
votes
0answers
217 views

How to install Boost 1.60 on 12.04 LTS?

I am trying to work out how to install Boost 1.60 under Travis CI, which runs Ubuntu 12.04 LTS Server Edition 64-bit. I tried adding the debian-sid repo as an apt source so I could install libboost-...
2
votes
0answers
513 views

Could NOT find Boost error

I want to install RGBDemo 0.7. I installed all necessary packages (libfreenect, PCL,openni,nite,sensorkinect,opencv 2.3.1) When I entered the command ./linux_configure.sh in the RGBDemo directory, I ...
2
votes
0answers
262 views

Targetting Boost 32-bit While on 64-bit ubuntu?

Well i have libboost-all-dev installed, but i am trying to compile for 32-bit. I can't install libboost-all-dev:i386 either. g++ -lboost_filesystem main.cpp g++ -m32 -lboost_filesystem main.cpp The ...
1
vote
0answers
50 views

Install old version of boost

I am trying to compile this program called Doppia and it requires an older version of Boost (somewhere around 1.54 - 1.55) however when I try to install it using sudo apt-get install libboost-all-dev ...
1
vote
0answers
58 views

Fetch specific boost version with apt-get

To make my plex server run nicely I would like to fetch boost library version 59... $ /usr/lib/plexmediaserver/Plex\ Media\ Scanner --help /usr/lib/plexmediaserver/Plex Media Scanner: error while ...
1
vote
0answers
59 views

What is a correct way to remove old boost version and install new one?

I want to delete libboost1.54-dev(which I think was installed via sudo apt-get install --no-install-recommends libboost-all-dev) and install libboost1.56-devon Ubuntu 14.04. Seems command sudo apt-...
1
vote
0answers
602 views

Trouble installing Boost 1.58

running 14.04 LTS. I've gone and actually deleted the Boost directory from my /usr/include directory. I'm still trying to figure out how exactly to install this and get it working with my application. ...
1
vote
0answers
332 views

Boost libraries compilation fails

I am trying to install boost libraries 1.49.0 on a machine running ubuntu server 14.04. The compilation of boost fails with the following errors. ...failed gcc.compile.c++ bin.v2/libs/locale/build/...
0
votes
0answers
24 views

Installing libboost 1.48 in ubuntu 14.04

I want to install libboost 1.48 on my ubuntu 14.04.When I issued the following command sudo apt-get install libboost-dev-all It installed the latest libboost which is not my requirement so I have ...
0
votes
0answers
22 views

libboost-1.49 dependency is not satisfiable

I am installing libboost-dev 1.49 from https://launchpad.net/ubuntu/quantal/amd64/libboost-dev/1.49.0.1 which I require for some purposes.But I am getting following message Update On some research ...
0
votes
0answers
17 views

Caffe installation

CXX src/caffe/util/math_functions.cpp In file included, from /usr/include/boost/optional.hpp:15:0, from /usr/include/boost/format/internals.hpp:20, from /usr/...
0
votes
0answers
27 views

Install the boost libraries in Code::Blocks

I just installed the boost libraries on my computer using the terminal prompt: sudo apt-get install libboost-all-dev How can I get these to work in Code::Blocks now? Thank you.
0
votes
0answers
89 views

Cross compiling IoTivity on Yocto

I wanted IoTivity applications for yocto i686(x32) on Ubuntu 14.04 x86_64, so i downloaded the yocto toolchain for host i586(x32) "poky-eglibc-i686-core-image-sato-i586-toolchain-1.6.sh" and also ...
0
votes
0answers
99 views

resolve: No such host is known?

I am facing a strange issue while trying to resolve endpoints using boost resolver in c++. Case: I am trying to connect to a website http://localhostIpAddress/test/ using boost. where local address ...
0
votes
0answers
301 views

libboost_program_options.so not found even though the package is installed

I'm on Ubuntu 15.10. I have packages libboost-program-options1.58-dev, libboost-all-dev installed, but the library itself is apparently not present: $ sudo find / -name libboost_program_options ...
0
votes
0answers
53 views

eclipse displays wrong errors

I am running eclipse Mars on a Ubuntu 15.04. I have a project imported into eclipse which requires the library boost and c++11. I added the library to the build includes and also added c++11 support ...
-1
votes
0answers
12 views

Link cups correctly in boost bjam to find 'cupsGetDests'

Desperately trying to build a c++ printing application with boost on Ubuntu 14.04.2 LTS. Installed cups and libcups, the application recognizes cups/cups.h correctly. But while building I get the ...